### Signal

# Phosh DBusLoginManager::handle-inhibit

since: 0

#### Declaration

    gboolean
    handle_inhibit (
      PhoshDBusLoginManager* self,
      GDBusMethodInvocation* invocation,
      GUnixFDList* fd_list,
      gchar* arg_what,
      gchar* arg_who,
      gchar* arg_why,
      gchar* arg_mode,
      gpointer user_data
    )

#### Description [src]

Signal emitted when a remote caller is invoking the Inhibit() D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_login_manager_complete_inhibit()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

`fd_list`

  Type: `GUnixFDList`

  A `GUnixFDList` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`arg_what`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_who`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_why`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_mode`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.